/*
 *  animBall.cpp
 *  emptyExample
 *
 *  Created by Donald MacGregor Bugden on 9/8/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

#include "animBall.h"
#include "ofMain.h"

animBall::animBall()
{
	xpos = ofRandom(0, ofGetWidth());
	ypos = ofRandom(0, ofGetHeight());
	speedX = ofRandom(-1, 1);
	speedY = ofRandom(-1, 1);
	dim = 20;
	speed = 0.1f;
	setup();
}	


void animBall::setup(){
	// load in sounds:
	beat.loadSound("sounds/jdee_beat.mp3");
	ow.loadSound("sounds/ow.mp3");	
	dog.loadSound("sounds/dog.mp3");	
	rooster.loadSound("sounds/rooster.mp3");
}

void animBall::update(){
	
	// update the sound playing system:
	ofSoundUpdate();	

	if(xpos < 0 ){
		xpos = 0;
		speedX *= -1;
	} else if (xpos > ofGetWidth()){
		xpos = ofGetWidth();
		speedX *= -1;
		//dog.play();
	}
	
	if(ypos < 0 ){
		ypos = 0;
		speedY *= -1;
	} else if (ypos > ofGetHeight()){
		ypos = ofGetHeight();
		speedY *= -1;
		//beat.play();
	}
	
	xpos+=speedX;
	ypos+=speedY;
	
}

void animBall::draw (){
	ofSetColor(xpos, ypos, xpos/ypos);
	ofCircle(xpos, ypos, dim);
}

void animBall::moveTo(float x,float y){
	
	/*if (x != xpos || y != ypos) {
		xpos-=(xpos-x)/50;
		ypos-=(ypos-y)/50;
	}
	ofSetColor(xpos, ypos, xpos);*/
	
	xpos= speed * x + (1-speed) * xpos;
	
	ypos= speed * y + (1-speed) * ypos; 
}


void animBall::moveToRandom(float x,float y){
	
	/*if (x != xpos || y != ypos) {
	 xpos-=(xpos-x)/50;
	 ypos-=(ypos-y)/50;
	 }
	 ofSetColor(xpos, ypos, xpos);*/
	
	xpos= speed * x + (1-speed) * xpos;
	
	ypos= speed * y + (1-speed) * ypos; 
}